--- a/utilities/afttagger/AFTTagger.h
+++ b/utilities/afttagger/AFTTagger.h
@@ -30,7 +30,7 @@
 
 #include <QCoreApplication>
 #include <QStringList>
-#include <QTime>
+#include <QElapsedTimer>
 #include <QTextStream>
 
 /**
@@ -65,7 +65,7 @@ public:
     bool          m_recurse;
     bool          m_verbose;
     QStringList   m_fileFolderList;
-    QTime         m_time;
+    QElapsedTimer m_time;
     QTextStream   m_textStream;
 
 };
--- a/utilities/afttagger/AFTTagger.cpp
+++ b/utilities/afttagger/AFTTagger.cpp
@@ -41,6 +41,7 @@
 
 #include <QtDebug>
 #include <QCryptographicHash>
+#include <QDateTime>
 #include <QDir>
 #include <QFileInfo>
 #include <QRandomGenerator>
--- a/src/context/applets/analyzer/plugin/BlockWorker.h
+++ b/src/context/applets/analyzer/plugin/BlockWorker.h
@@ -19,6 +19,7 @@
 
 #include "AnalyzerWorker.h"
 
+#include <QElapsedTimer>
 #include <QMutex>
 #include <QTime>
 #include <QVector>
@@ -70,7 +71,7 @@ private:
     int m_columns;
     int m_refreshTime;
     bool m_showFadebars;
-    QTime m_lastUpdate;
+    QElapsedTimer m_lastUpdate;
 };
 
 #endif //BLOCKWORKER_H
--- a/src/context/applets/analyzer/plugin/AnalyzerWorker.h
+++ b/src/context/applets/analyzer/plugin/AnalyzerWorker.h
@@ -25,6 +25,7 @@
 
 #include <phonon/audiodataoutput.h>
 
+#include <QElapsedTimer>
 #include <QMutex>
 #include <QObject>
 #include <QTime>
@@ -114,7 +115,7 @@ private:
     Base::WindowFunction m_windowFunction;
     int m_expectedDataTime;
     int m_demoT;
-    QTime m_lastUpdate;
+    QElapsedTimer m_lastUpdate;
     QTimer *m_demoTimer;
     QTimer *m_processTimer;
 };
--- a/src/context/applets/analyzer/plugin/AnalyzerWorker.cpp
+++ b/src/context/applets/analyzer/plugin/AnalyzerWorker.cpp
@@ -33,7 +33,7 @@ Analyzer::Worker::Worker()
     , m_windowFunction( Base::Hann )
     , m_expectedDataTime( 20 )
     , m_demoT( 201 )
-    , m_lastUpdate( QTime::currentTime() )
+    , m_lastUpdate()
     , m_demoTimer( new QTimer( this ) )
     , m_processTimer( new QTimer( this ) )
 {
@@ -47,6 +47,7 @@ Analyzer::Worker::Worker()
         m_processTimer->start();
     else
         m_demoTimer->start();
+    m_lastUpdate.start();
 
     connect( m_demoTimer, &QTimer::timeout, this, &Worker::demo );
     connect( m_processTimer, &QTimer::timeout, this, &Worker::processData );
